Mobile: **`07773710252`[PHONES_PHONE]** -NL- E-mail: **`findnanda@googlemail.com`[EMAILS_EMAIL]** -NL- **`Nandkishore Yalamanchili`[NAME]** -NL- **`Profile`[WORK_EXPERIENCE_HEADING]** -NL-  A results-driven, customer-focused and analytical Java, J2ee developer/architect. -NL-  Strong in design and problem solving skills. -NL-  Skilled in designing, developing and performing architectural systems research. -NL-  Extremely motivated and committed to deliver the highest standard of work. -NL-  Strong leadership and communication skills, enjoying responsibility and ownership at all stages of the development -NL- lifecycle. -NL-  Experience working in large scale complex applications. -NL-  Server side development with very good hands on experience in agile test driven development (TDD), continuous -NL- integration (CI), pair programming, API design & development, restful and soap based webservices, Microservices, -NL- design patterns, multithreading, SOA and open source technologies like java/j2EE, spring, spring boot, xml, -NL- hibernate, junit, jmock, mockito, fitnesse, cucumber, apache tomcat, JAX-RS, JAX-WS. -NL- **`Software Skills`[SKILLS_HEADING]** -NL- Methodology -NL- Xtreme Programming: Agile Test Driven Development (Pair Programming), BDD and -NL- SOA -NL- **`Programming Languages`[OTHERS_HEADING]** -NL- Java/J2EE, Scala -NL- Database Systems -NL- Oracle 10g, DB2, Postgres, Sybase, BlueOrder, SQL Server -NL- Frameworks -NL- Spring (DI, AOP, Security, Rest, Hateos, Ldap), Spring Boot, Hibernate and Struts 2.0, -NL- ATG -NL- Web Technologies -NL- JSP, JSTL, HTML, JavaScript, XML, Servlets -NL- Distributed Technologies -NL- REST and SOAP web services, RMI, EJBs and EJBTimer, WebLogic Clustering, JMS, -NL- MQ Clustering with JMS, JavaMail, Terracotta -NL- Mobile Technologies -NL- Android OS -NL- Operating Systems -NL- Windows, Solaris 10 -NL- Web/App Server -NL- Apache Tomcat 5.1/6.1/7, BEA WebLogic 8.1/9.1, Geronimo Application Server 2.2, -NL- IBM WebSphere 6.1/7.0, SAP Netweaver 7.1/7.2, Apache HTTP Proxy Server, IBM -NL- HTTP Server -NL- CI, Build and Source Control -NL- Jenkins, Cruisecontrol, Hudson, Teamcity, Ant, Maven, Git, Bitbucket, SourceTree, -NL- Subversion(svn), StarTeam, PVCS, Dimensions -NL- Tools -NL- JUnit, JMock, Mockito, Cucumber, Crucible, cglib, JMeter, OptimizeIt, XmlBeans, -NL- XPlanner, Scrumworks, JIRA, FindBugs, Firebug, Httpwatch, Cobertura, Eclipse, RAD, -NL- Coverlipse, Emma, Checkstyle, PMD, Fitnesse, ClearCase, Sonar, Remedy. -NL- **`Education`[EDUCATION_HEADING]** -NL-  1998 - 2002 **`B. E`[EDUCATION_DEGREE]**. (**`Electronics`[EDUCATION_COURSE]**) - 65.36% (Equivalent to 2:1 degree in UK), India. -NL- **`Experience:`[WORK_EXPERIENCE_HEADING]** -NL- Total Experience: 13 years -NL-  Working as **`contractor`[EMPLOYER_ROLE]** in **`Bank of New York Mellon`[PROJECT_COMPANY_NAME]**, London from October 2018 to till date. -NL-  Worked in **`Citi Bank`[PROJECT_COMPANY_NAME]** for VirtusaPolaris, Belfast from Feb2017 to September 2018 as **`Technical Architect`[EMPLOYER_ROLE]**. -NL-  Worked in **`JPMorgan`[PROJECT_COMPANY_NAME]**, Glasgow from June 2015 to Feb 2017 as **`Senior Associate`[EMPLOYER_ROLE]**. -NL-  Worked in **`CVS Caremark`[EMPLOYER_COMPANY_NAME]**, Belfast from Aug 2014 to June 2015 as **`Principal Engineer`[EMPLOYER_ROLE]**. -NL-  Worked in **`CVS Caremark`[EMPLOYER_COMPANY_NAME]**, Belfast from Feb 2014 to July2014 as Senior Software Engineer. -NL-  Worked in **`AMT-SYBEX`[PROJECT_COMPANY_NAME]** Ltd., Belfast from Dec 2011 to Feb 2014 as Java Developer. -NL-  Worked in **`Allstate Northern Ireland`[EMPLOYER_COMPANY_NAME]**, Belfast from Dec 2009 to Dec 2011 as Java Developer. -NL-  Worked in **`Infosys Technologies Ltd`[EMPLOYER_COMPANY_NAME]**., London from April 2006 to Dec 2009 as Java Developer. -NL-  Worked in Risk Soft Tech Stack, India from May 2004 to Oct 2005. -NL- Company Level Participations: -NL- Received an excellent feedback in companywide innovative contest across UK and US **`Allstate`[PROJECT_COMPANY_NAME]**. -NL- - July 2010 -NL- With no prior knowledge in mobile applications, I came up with an idea designed and developed an application for android -NL- based smart phones in 4 days. The application was profile based service intended on providing multiple capabilities targeted -NL- for multiple stakeholders. -NL- - Feb 2011 -NL- The challenge was to design a mobile application that builds safer drivers and inspires a revolution. I designed and -NL- developed an application that could provide real time alerts (speed alert, accident alert, no entry zone etc.) and on ignoring -NL- the alerts the app would take necessary actions. This data then could be evaluated by an insurance company to give -NL- discounts to safe drivers which also would enable people to drive safe. Parental Control service which would help the -NL- parents to know how their teens are driving by emailing/texting them the statistics. -NL- Projects: -NL- **`UTP and Transaction Reporting (Investment Banking)`[PROJECT_TITLE]**,**` Bank of New York Mellon`[EMPLOYER_COMPANY_NAME]**, London -NL- Java 8, Eclipse, xml, Spring Boot, JMS, Microservices, Maven, JIRA, GitLab, JUnit, Mockito, Hamcrest, Messaging Queue, Zookeeper, -NL- Jenkins. -NL-  Part of trading platform that generates and send transaction report to Unavista (LSE) which contains information relating to -NL- different type of trades. -NL- Responsibilities: -NL- o Implemented dwh and FCA transaction report reconciliation of trades using Java 8 and Spring. -NL- o Implemented excel file parsing using apache poi and business logic for reconciliation. -NL- o Worked on encrypting transaction reporting (MiFIR) files using Bouncycastle. -NL- o PGP certificate generation and implementation for file encryption. -NL- o Analyse the discrepancies in transaction reports status held in internal systems against the FCA held reports. -NL- o Write sql scripts to replay/fix discrepancies in transaction reports against the FCA held reports. -NL- o Worked on MiFIR report generation for different trading scenarios like MultiMarket - MultiClient, SingleMarket - MultiClient etc. -NL- o Working in an agile environment. -NL- o Using GitLab for feature development and peer code reviews. -NL- o Migrated some of the Java 7 applications like StockBorrows to Java 8. -NL- **`Trade Processing Services (Investment Banking)`[PROJECT_TITLE]**, **`Citi Bank`[PROJECT_COMPANY_NAME]**, Belfast -NL- Java 8, Eclipse, xml, Spring Framework, Oracle, Maven, JIRA, Git, SourceTree, JUnit, Mockito, Hamcrest, TeamCity. -NL-  Processing of OTC derivative trades and fulfilment of MiFID 2 requirements. -NL- Responsibilities: -NL- o Design and implemented new functionalities using Java 8 and Spring. -NL- o Involved in making enhancements on various derivative products like Interest Rate Swap, FRA, CapFloor, Swaption, and -NL- FxOption. -NL- o Write new business rules for MIFD II and data quality improvements. -NL- o Working and analyse schema fixes for FPML 5.0. -NL- o Implement unit tests using JUnit, Hamcrest and Mockito. -NL- o Understanding the business requirements prepare test plan and put trades through the system. -NL- o Following continuous build process using TeamCity. -NL- o Working on an agile methodology. -NL- o Using Bitbucket for peer code reviews. -NL- **`IPBOnline (Asset/Wealth Management)`[PROJECT_TITLE]**, **`JPMorgan`[PROJECT_COMPANY_NAME]**, Glasgow -NL- Java 7, Eclipse, Restful webservices(JAX-RS), Spring, Sybase, Swagger-Editor, Tomcat 7, Maven, Jenkins, JIRA, Crucible, Git, -NL- SourceTree, Cucumber, Guava, Junit, Mockito, Hamcrest -NL-  Responsive web application used by the clients to manage their assets. -NL- Responsibilities: -NL- o API Designing and publishing using Swagger Editor. -NL- o Design and Implement rest web, service layer, business validation and database layer -NL- which involved writing complex business logic in Java. -NL- o Written complex logic to display Aggregated Positions and Rolling Balance transactions. -NL- o Worked on feature to group cross currency accounts -NL- o Touched various asset classes like Fixed Income, Equity, Cash, Forex to develop feature to calculate aggregated Market -NL- Value, PNL Percent etc. across various asset classes. -NL- o Exposing and implementing new Rest APIs and wiring them till the operational layer using Jersey and Spring. -NL- o Designed and implemented pdf and excel restful APIs using iText and apache poi. -NL- o Writing stored procedures to load/store repositories. -NL- o Implemented unit test cases using JUnit, Hamcrest and Mockito. -NL- o Developed business scenario based integration tests using Cucumber. -NL- o Perform code reviews. -NL- o Following Agile BDD -NL- o Used Jenkins for Continuous build and participated in daily stand-up. -NL- o On rotation Scrum Master which involved -NL- - Conducting sprint planning -NL- - Creating user stories -NL- - Performing daily stand-ups -NL- - Sprint demo + retrospective -NL- **`Minute Clinic`[PROJECT_TITLE]**, **`CVS Health`[PROJECT_COMPANY_NAME]**, Belfast -NL- Java 7, Eclipse, ATG Restful services, ATG 10.2 -NL-  **`Minute Clinic`[PROJECT_TITLE]** provides accessible, affordable, high quality, walk in care 7 days a week. Offer new services to the patients -NL- which include wait time visibility for **`Minute Clinic`[PROJECT_TITLE]** Services and provide patients with the ability to reserve a position in the -NL- queue. -NL- Responsibilities: -NL- o Understanding the functional requirements. -NL- o Transformed the functional requirements into UML design. -NL- o Coordinating with business analysts and other designers. -NL- o Created low level Application Design Document. -NL- o API Designing and development. -NL- o Led the team technically and implemented Rest API to show wait times and hold a position in queue in Java and ATG -NL- framework. -NL- o Participated in design calls and providing design inputs. -NL- **`Instore Reminders`[PROJECT_TITLE]**, **`CVS Health`[PROJECT_COMPANY_NAME]**, Belfast -NL- Java 7, Eclipse, Spring Framework, Jms, WebLogic 12c, Maven, Jackson, Apache Camel, Apache Http Client, Jersey Client. -NL-  **`Instore Reminders`[PROJECT_TITLE]** is an opt-in mobile service that detects when a customer has entered the store and alerts back-end -NL- systems, which may turn in deliver important messages via push notifications. Notifications will be delivered to the customer -NL- when they are in the store. Notifications could be like order ready, reminders about their refills being due or any offers. -NL- Responsibilities: -NL- o Understanding the functional requirements. -NL- o Transformed the functional requirements into UML design. -NL- o Coordinating with the application architect, business analysts and other designers. -NL- o Ownership of the design of Digital Business Process Layer. -NL- o Participated in design calls and providing design inputs. -NL- o Created low level Application Design Document for developers to develop using Camel and Spring. -NL-**` CVS Caremark`[EMPLOYER_COMPANY_NAME]** Portal, **`CVS Health`[PROJECT_COMPANY_NAME]**, Belfast -NL- Java, Spring framework, EJB 2.1, JDBC, JNDI, xml, DB2, JUnit, Webservices, Maven, RAD, CVS, WebSphere Application Server -NL- 6.1, WebSphere Portal Server 6.1 -NL-  Working on Caremark Portal, currently the Order status displayed on Portal doesn’t not always reflect the status presented -NL- on another systems. Amazon Order Status project will create new global order status messaging and ensure consistency in -NL- order statuses across all platforms. The customers will receive more relevant and accurate information about the status of -NL- their Orders that will increase customer satisfaction and will lower the volume of order status related calls to the Call Centre. -NL- Responsibilities: -NL- o Worked on amazon order status for displaying enhanced order statuses on the portal. -NL- o Implemented ejb service to return the new order status and description on business layer side. -NL- o Implemented business delegate to wire up the service and integrated with the web layer. -NL- o Wrote junit tests for the ejb service and business delegate. -NL- o Provided a work around solution to run the junit tests and helped other developers off the team in running them. -NL- o Another portal team was having ecs jar incompatibility issues while calling ecs ejb services on SIT environment, suggested -NL- solution by writing a junit test for one of the classes in the ecs jar. -NL- o Helped digital speciality team with resolving hibernate and spring issue. -NL- o Overcame technical challenges in running the application locally without any complicated database setup. -NL- o Also resolved all the technical difficulties and setup a running portable development environment on the Windows 7 virtual -NL- machine which would reduce the on-boarding time from weeks to couple of days. -NL- o Fixing QC defects and helped other team members in States. -NL- o Intervened in portal webservices project to discuss about architecturally wrong service call made from portal to one of the -NL- other projects while being made aware by one of the developers from NIDC. -NL- o Used Spring IOC, DI Spring data, AOP. -NL- **`Data Transfer Solution`[PROJECT_TITLE]**, **`AMT-SYBEX`[PROJECT_COMPANY_NAME]**, Belfast -NL- Java, Scala, Eclipse IDE, EJB, JMS, JDBC, JNDI, Spring, XML, Oracle, JUnit, Cobertura, Ant, PVCS and Dimensions, Remedy -NL- (Defect Management), WebSphere 7.0, Netweaver, Netweaver Memory profiler. -NL-  DTS is a solution to provide a suite of tools which enable participants operating in the energy retail market to manage and -NL- control the complex business processes and industry interactions which operate in the Energy Retail market within UK. -NL- Responsibilities: -NL- o Worked on identifying the memory trends and analysing heap dumps using Memory Analyzer -NL- o Worked on memory profiling and implemented solution to bring down the heap size using SAP profiler -NL- o Prepared documentation with root cause analysis and explaining the solution by providing various graphical runtime memory -NL- trends -NL- o Implemented solution to make the app cluster aware using java nio, ejb timer and MDB -NL- o Wrote business rules in Scala -NL- o Worked on product enhancements and change requests -NL- o Coordinated with client team, resolve issues, analyse production logs -NL- o Worked on cobertura and ant to generate instrumented ears used for generating coverage reports -NL- o Worked on Jenkins to tie coverage report to the continuous build server -NL- o Built test framework and Client test suite using JUnit and JMock -NL- o Wrote end to end Integration tests to cover various business scenarios using Spring, JUnit, JMock -NL- o Created sql script to automate the tidy up of dev and test databases -NL- o Built dts for WebSphere using Java, Spring 3.02, Hibernate -NL- o Wrote ant script to create WebSphere specific ears -NL- o Written jython script to automate building of JMS server and bus creation for all the apps on WebSphere -NL- o Wrote step-by-step installation guide for environment guys and developers for building dts for WebSphere 7.0 -NL- o Used Spring core, Spring Data Access and Spring-Batch for IOC, DI and data access. -NL- **`Alliance`[PROJECT_TITLE]**, **`Allstate`[PROJECT_COMPANY_NAME]**, Belfast -NL- Rational Application Developer, ClearCase (Software Configuration Management), ClearQuest (Defect Management), WebSphere -NL- 6.1, Java, J2EE (EJB, JDBC, JNDI), Web Services, Struts, XML, Oracle, iSeries (AS/400), Mainframe, PCML/PowerServer and -NL- EGL -NL-  **`Alliance`[PROJECT_TITLE]** is designed to be a point of sale insurance processing framework that allows agents to quote and run the business -NL- effectively. -NL- Responsibilities: -NL- o Worked as a part of **`Alliance`[PROJECT_TITLE]** java development team. -NL- o Interacting with business analysts from time to time to provide them RCA and to help them in taking business decisions. -NL- o Worked on production defects that involve recreating them on development environment, debugging, finding root cause -NL- analysis. -NL- o Implemented solutions for the defects identified, write unit test cases using Junit and provide documentation -NL- o Understanding legacy system, **`Allstate`[PROJECT_COMPANY_NAME]** products and business rules as **`Alliance`[PROJECT_TITLE]** is replacement to the legacy system and -NL- some of the features are still accessible by legacy system. -NL- **`TeamConnect`[PROJECT_TITLE]**, **`Allstate`[PROJECT_COMPANY_NAME]**, Belfast -NL- Java, JSP, JavaScript, XML, Oracle 10g, IBM WebSphere 6.1, HPSM, Solaris, SQL Developer -NL-  **`TeamConnect`[PROJECT_TITLE]** is a software solution for legal departments to manage matters, risks, organize, store, retrieve, and manage -NL- information for an organization. -NL- Responsibilities: -NL- o Worked on identifying performance bottlenecks in **`TeamConnect`[PROJECT_TITLE]** -NL- o Interacted with customers to identify bottlenecks and collecting data for analysis -NL- o Presented report to the business explaining the problem and the possible solutions -NL- o Provided on-call production support and resolving tickets raised by the customers -NL- o Worked on creating IBM WebSphere cluster for **`TeamConnect`[PROJECT_TITLE]** -NL- o Releasing and deploying ear on windows and Solaris environments. -NL- o Worked with vendor to implement various enhancement raised by the business -NL- o Helped with the QTP to implement automated testing and reviewing the tests developed by the tester. -NL- **`BT Mosaic`[PROJECT_TITLE]**, **`British Telecom`[PROJECT_COMPANY_NAME]** (Infosys), Belfast -NL- Java, Ant, service oriented architecture, cruisecontrol, spring framework, hibernate, xml, xmlbeans, jsp, JavaScript, OracleXE, -NL- Postgres, JUnit, Jmock, Fitnesse, emma, cglib, webservices, apache tomcat, Scrumworks, svn. -NL-  Online digital media management SOA platform that manages content ingestion, preparation and publishing. -NL- Responsibilities: -NL- o Responsible for writing server side development code that includes implementing the business logic written in Java/J2EE. -NL- o Used Spring for IOC and injecting dependencies within all the modules -NL- o Worked on SOA which involved writing soap webservice code for exposing various service modules with the help of Xfire and -NL- xmlbeans -NL- o Used ORM (Hibernate) for transactions and data persistence. -NL- o Followed Agile Test Driven development which includes writing JUnit, JMock and cglib, maintaining code coverage above -NL- 80% by using Emma and cobertura. -NL- o Used Cruisecontrol for continuous build, participated in daily stand-ups. -NL- o Followed paired programming and also remote pair programming. -NL- o For every iteration implemented fitnesse by writing fixtures for all the modules for customer acceptance testing -NL- o Performed database design in few modules. -NL- o Worked on Apache Tomcat for application deployment -NL- o Used svn for maintaining codebase. -NL- o Used scrumworks for tracking iterations. -NL- o Worked on JavaScript for hooking all the SOAP based webservices at the UI level -NL- **`Web IR`[PROJECT_TITLE]**, **`Symcor`[PROJECT_COMPANY_NAME]** (Infosys) -NL- Java, Jdbc, Maven, JUnit, Struts 2, JSP, JavaScript, Spring Framework, XML, DB2, svn, Geronimo 2.2 -NL-  WebIR is a set of product offerings to Banks/Clients and **`Symcor`[PROJECT_COMPANY_NAME]**’s internal departments that assist these organizations in -NL- searching for and retrieving document images for use in tracing activities. -NL- Responsibilities: -NL- o I was involved with technical architect for discussing designs and reviewing the designs before implementing them. -NL- o Worked on JSP and Struts framework for implementing the front end design and server side business logic -NL- o Mentored junior developers -NL- o Wrote JUnit test cases for all the modules -NL- o Worked closely with the testing team for problem solving and bug fixing before its release to production -NL- o Worked on Geronimo application server while developing the application -NL- **`21 CN`[PROJECT_TITLE]**, **`British Telecom`[PROJECT_COMPANY_NAME]** (Infosys), Ipswich -NL- Java, Jdbc, Ant, JUnit, JMock, JMeter, XML, XmlBeans, Cruisecontrol, Message Driven Beans and EJB Timers, JMS-MQ, Spring -NL- IOC, JSP, Servlets, WebLogic 9.1, Oracle 10g, Solaris, Agile Methodology, Pair programming, StarTeam, XPlanner. -NL-  Develop new test systems for solving specific problems that were anticipated to occur at certain transfer stages while -NL- switching the customers to new network as a part of test and diagnostics. -NL- Responsibilities: -NL- o Led team of 5 developers -NL- o I was the key member of the development team that involved participating in design discussions with solution designer and -NL- analyzing the requirements. -NL- o Created development designs after analyzing the requirements. -NL- o Followed Agile TDD that included writing JUnit, JMock and cglib, maintaining code coverage above 80% by using Emma and -NL- cobertura, -NL- o Used cruisecontrol for continuous build, participated in daily stand-ups. -NL- o Followed paired programming. -NL- o Responsible for creating design and implemented WebLogic cluster for load balancing the application -NL- o Responsible for designing clustered solution for sending message between JMS and MQ server -NL- o Provided application support for the testers by fixing bugs -NL- o First point contact from development team for any issues escalated in production -NL- o Worked with intra teams for integrating the application with various b2b systems -NL- o Responsible for mentoring junior developers -NL- o Worked on solaris environment for application development and production deployment -NL- Trainings -NL- * Platform Fundamentals for Developers Rel 10.1.2 -NL- * Extending the ATG Platform Rel 10.1.2 -NL- Mentor Role training with Think People * -NL- 